cURL
curl --request GET \
--url https://api.konvoai.com/broadcasts \
--header 'x-api-key: <api-key>'import requests
url = "https://api.konvoai.com/broadcasts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.konvoai.com/broadcasts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"result": [
{
"id": "01823bbc-96e0-4c0a-a9cd-0a41ede22d50",
"name": "Black Friday Campaign",
"status": "Running",
"audience": {
"id": "1b03b3be-6aa4-4898-82ee-7db51b4ce28e",
"name": "Black Friday Campaign - Audience",
"broadcastId": "7b535c43-71b2-4b5e-b35e-f0b0f93bc84e",
"lists": "<array>",
"segment": "null",
"recipientCount": "2000"
},
"flow": {
"id": "1b03b3be-6aa4-4898-82ee-7db51b4ce28e",
"name": "Example Reactivation Flow",
"emoji": "🏷️",
"flowVersionId": "7b535c43-71b2-4b5e-b35e-f0b0f93bc84e"
},
"templates": "1b03b3be-6aa4-4898-82ee-7db51b4ce28e",
"scheduled": "2024-08-T12:19:41.000Z",
"createdAt": "2024-08-02T12:19:41.000Z",
"sent": 0,
"delivered": 0,
"failed": 0,
"opened": 0,
"clickAnalytics": {
"count": 0,
"uniqueCount": 0,
"countryCount": [
{
"count": 8,
"countryCode": "DE",
"resourceId": "u0IwaLEG1a"
}
],
"sendCount": 2000
},
"cost": {
"amount": 0,
"currency": "eur"
}
}
]
}{
"error": 123,
"message": "<string>"
}Broadcasts
Get Broadcasts
Get broadcasts by filters
GET
/
broadcasts
cURL
Authorizations
Query Parameters
Pointer for the current page of the paginated query
The maximum number of results to return, maximum is 200
Filter by broadcasts updated after a certain date
Filter by broadcasts updated before a certain date
Filter by broadcasts created after a certain date
Filter by broadcasts created after a certain date
